package more.crawler.nmc.response;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author YeJR
 * @version 1.0
 * @date 2020/2/19 13:14
 * 返回枚举类
 */
@Getter
@AllArgsConstructor
public enum ResponseCode {

    /**
     * 成功
     */
    SUCCESS(200, "success"),

    /**
     * 失败
     */
    ERROR(500, "error");

    /**
     * 编码
     */
    private int code;

    /**
     * 消息
     */
    private String msg;

}
