package more.crawler.nmc.response.exception;

import lombok.Data;

/**
 * @author YeJR
 * @version 1.0
 * @date 2020/2/19 13:25
 * more 异常
 */
//@AllArgsConstructor
@Data
public class MoreException extends RuntimeException {

//    /**
//     * 错误类型
//     */
//    private ExceptionCode exceptionCode;

    private Integer code;
    private String msg;

    public MoreException(Integer code, String msg) {
        super(msg);
        this.code = code;
        this.msg = msg;
    }

    public MoreException(String msg) {
        super(msg);
        this.code = 417;
        this.msg = msg;
    }

    public MoreException(ExceptionCode em) {
        super(em.getMsg());
        this.code = em.getCode();
        this.msg = em.getMsg();
    }
}
