package more.crawler.nmc.configuration;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 *
 * @author ruoyi
 */
@Component
@ConfigurationProperties(prefix = "nmc")
@Data
public class NmcConfig
{
    /** 签名key */
    private String signKey;

    /** 签名用户id */
    private String signUserId;

    /** 气象数据host */
    private String host;

    /** 气象数据发送地址 */
    private String sendUrl;
}
